---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw006.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50C70, symBinAddr: 0x6640, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52BB0, symBinAddr: 0x8580, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52FA0, symBinAddr: 0x8970, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53F40, symBinAddr: 0x9910, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53F50, symBinAddr: 0x9920, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x507A0, symBinAddr: 0x63B0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x507A4, symBinAddr: 0x63B4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x507A8, symBinAddr: 0x63B8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50900, symBinAddr: 0x63C0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x509B8, symBinAddr: 0x6478, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x509BC, symBinAddr: 0x647C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x509C0, symBinAddr: 0x6480, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x509C4, symBinAddr: 0x6484, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x509C8, symBinAddr: 0x6488, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x509D0, symBinAddr: 0x6490, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x509E8, symBinAddr: 0x64A8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x509F0, symBinAddr: 0x64B0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x509F8, symBinAddr: 0x64B8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50A00, symBinAddr: 0x64C0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50A08, symBinAddr: 0x64C8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0xDF60, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL11missesCount, symObjAddr: 0x50A4C, symBinAddr: 0x64DC, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x50A50, symBinAddr: 0x64E0, symSize: 0x0 }
  - { offsetInCU: 0x918B, offset: 0x918B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50A58, symBinAddr: 0x64E8, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50A60, symBinAddr: 0x64F0, symSize: 0x0 }
  - { offsetInCU: 0x91BD, offset: 0x91BD, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50A70, symBinAddr: 0x6500, symSize: 0x0 }
  - { offsetInCU: 0x91D6, offset: 0x91D6, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50BA8, symBinAddr: 0x6638, symSize: 0x0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x14A0, symSize: 0x80 }
  - { offsetInCU: 0x92C4, offset: 0x92C4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x13F0, symSize: 0xB0 }
  - { offsetInCU: 0x931F, offset: 0x931F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x12F0, symSize: 0x100 }
  - { offsetInCU: 0x95B2, offset: 0x95B2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1520, symSize: 0x220 }
  - { offsetInCU: 0x9797, offset: 0x9797, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1740, symSize: 0xA0 }
  - { offsetInCU: 0x984A, offset: 0x984A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17E0, symSize: 0x110 }
  - { offsetInCU: 0x9940, offset: 0x9940, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x18F0, symSize: 0x150 }
  - { offsetInCU: 0x9A71, offset: 0x9A71, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A40, symSize: 0x30 }
  - { offsetInCU: 0x9B32, offset: 0x9B32, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1A70, symSize: 0x150 }
  - { offsetInCU: 0x9D2A, offset: 0x9D2A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1BC0, symSize: 0x160 }
  - { offsetInCU: 0x9EB6, offset: 0x9EB6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1D20, symSize: 0x1B0 }
  - { offsetInCU: 0xA0D1, offset: 0xA0D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1ED0, symSize: 0xA0 }
  - { offsetInCU: 0xA1A0, offset: 0xA1A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1F70, symSize: 0x20 }
  - { offsetInCU: 0xA1D7, offset: 0xA1D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1F90, symSize: 0x20 }
  - { offsetInCU: 0xA20E, offset: 0xA20E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1FB0, symSize: 0x20 }
  - { offsetInCU: 0xA37D, offset: 0xA37D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1FD0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6A3, offset: 0xA6A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2170, symSize: 0x80 }
  - { offsetInCU: 0xA76C, offset: 0xA76C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x21F0, symSize: 0x6A0 }
  - { offsetInCU: 0xB301, offset: 0xB301, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA190, symBinAddr: 0x3510, symSize: 0xB0 }
  - { offsetInCU: 0xB378, offset: 0xB378, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2890, symSize: 0x70 }
  - { offsetInCU: 0xB434, offset: 0xB434, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2900, symSize: 0xA0 }
  - { offsetInCU: 0xB55F, offset: 0xB55F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x29A0, symSize: 0x40 }
  - { offsetInCU: 0xB655, offset: 0xB655, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x29E0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9FB, offset: 0xB9FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2C90, symSize: 0xC0 }
  - { offsetInCU: 0xBB41, offset: 0xBB41, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2D50, symSize: 0x10 }
  - { offsetInCU: 0xBC03, offset: 0xBC03, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2D60, symSize: 0x220 }
  - { offsetInCU: 0xBF00, offset: 0xBF00, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2F80, symSize: 0x10 }
  - { offsetInCU: 0xBF5D, offset: 0xBF5D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2F90, symSize: 0x180 }
  - { offsetInCU: 0xC15A, offset: 0xC15A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x3110, symSize: 0x10 }
  - { offsetInCU: 0xC1B7, offset: 0xC1B7, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9DA0, symBinAddr: 0x3120, symSize: 0x1B0 }
  - { offsetInCU: 0xC264, offset: 0xC264, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw006_getReady, symObjAddr: 0x9F50, symBinAddr: 0x32D0, symSize: 0x150 }
  - { offsetInCU: 0xC37D, offset: 0xC37D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw006_check, symObjAddr: 0xA0A0, symBinAddr: 0x3420, symSize: 0xF0 }
  - { offsetInCU: 0xC3E3, offset: 0xC3E3, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA240, symBinAddr: 0x35C0, symSize: 0x36A }
...
